> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Supported Networks List (ID Map)

> This endpoint allows you to **query all the supported networks on GeckoTerminal**

<Tip>
  ### Tips

  * You may use this endpoint to query the list of networks with network ID for other endpoints that contain params like `network`.
  * You may include values such as `page` to specify which page of responses you would like to show.
</Tip>


## OpenAPI

````yaml api-reference/onchain-demo.json get /networks
openapi: 3.0.0
info:
  title: Onchain DEX API (Demo)
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /networks:
    get:
      tags:
        - Networks
      summary: Supported Networks List (ID Map)
      description: >-
        This endpoint allows you to **query all the supported networks on
        GeckoTerminal**
      operationId: networks-list
      parameters:
        - name: page
          in: query
          required: false
          description: |-
            page through results 
             Default value: 1
          schema:
            type: integer
      responses:
        '200':
          description: Get list of supported networks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworksList'
components:
  schemas:
    NetworksList:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  name:
                    type: string
                  coingecko_asset_platform_id:
                    type: string
      example:
        data:
          - id: eth
            type: network
            attributes:
              name: Ethereum
              coingecko_asset_platform_id: ethereum
          - id: bsc
            type: network
            attributes:
              name: BNB Chain
              coingecko_asset_platform_id: binance-smart-chain
          - id: polygon_pos
            type: network
            attributes:
              name: Polygon POS
              coingecko_asset_platform_id: polygon-pos
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````